import React from 'react';
import { Radio } from 'antd';
import { renderStatus, renderCategory } from '../utils/utils';

const MerchantColumns = [{
  title: '',
  key: 0,
  dataIndex: 'key',
  render: (text) => <Radio key={text} />,
  width: 20,
}, {
  title: '商户编号',
  dataIndex: 'code',
  key: 1,
}, {
  title: '商户名称',
  dataIndex: 'name',
  key: 2,
}, {
  title: '商户类型',
  key: 3,
  dataIndex: 'domain',
  render: (text) => renderCategory(text),
}, {
  title: '该条状态',
  key: 4,
  dataIndex: 'status',
  render: (text) => renderStatus(text),
}];

export {
  MerchantColumns,
};
