const RESOURCE_VIDEO = 0;
const RESOURCE_IMAGE = 3;

const STATUS_NORMAL = 'NORMAL';
const STATUS_DELETE = 'DEL';

const DOMAIN_CP = 1010;
const DOMAIN_LJ = 2010;
const DOMAIN_PJ = 3010;

const fileMaxSize = 15; // file max size should below 2M
const pageSize = 20;
const plantform = 'LJ';
const projectName = 'RealBull';
const copyright = '2017-2020 领教信息科技有限公司';
const apiHost = 'http://tt-cms.api.ai160.com';
const ossHost = 'http://efunimgs.oss-cn-beijing.aliyuncs.com';
const api = {
  userLogin: `${apiHost}/login`,
  userLogout: `${apiHost}/logout`,
  resource: `${apiHost}/resource/list`,
  signature: `${apiHost}/oss/signature`,
  picture: `${apiHost}/resource`,
  merchant: `${apiHost}/merchant/list`,
  merchantItem: `${apiHost}/merchant`,
  despoit: `${apiHost}/money/charge`,
  campus: `${apiHost}/campus/list`,
  campusItem: `${apiHost}/campus`,
};

export {
  RESOURCE_VIDEO,
  RESOURCE_IMAGE,
  STATUS_NORMAL,
  STATUS_DELETE,
  DOMAIN_CP,
  DOMAIN_LJ,
  DOMAIN_PJ,
  plantform,
  projectName,
  copyright,
  ossHost,
  api,
  pageSize,
  fileMaxSize,
};
